You are not logged in.

#1 2012-01-13 17:16:28

Durden
Member
Registered: 2011-06-19
Posts: 189

[solved] Pacman problem with testing repo

I'm having some suspend/wake issues on my laptop that I heard the 3.2 kernel fixes so I decided to load up the testing repo and give it a try. I upgraded to the latest pacman and then when trying to upgrade my kernel I got this:

[todd@minidurden etc]$ sudo pacman -Syu linux
:: Synchronizing package databases...                                                                                                                                   
 testing is up to date                                                                                                                                                  
 core is up to date                                                                                                                                                     
 extra is up to date                                                                                                                                                    
 community is up to date                                                                                                                                                
 multilib is up to date                                                                                                                                                 
:: Starting full system upgrade...                                                                                                                                      
:: Replace module-init-tools with testing/kmod? [Y/n]                                                                                                                   
resolving dependencies...                                                                                                                                               
looking for inter-conflicts...                                                                                                                                          
                                                                                                                                                                        
Targets (26): cmake-2.8.7-2  coreutils-8.15-1  gvfs-1.10.1-2  gvfs-obexftp-1.10.1-2  inetutils-1.9.1-1  kdeutils-ark-4.7.4-2  kdeutils-filelight-4.7.4-2
              kdeutils-kcalc-4.7.4-2  kdeutils-kcharselect-4.7.4-2  kdeutils-kdf-4.7.4-2  kdeutils-kfloppy-4.7.4-2  kdeutils-kgpg-4.7.4-2
              kdeutils-kremotecontrol-4.7.4-2  kdeutils-ktimer-4.7.4-2  kdeutils-kwallet-4.7.4-2  kdeutils-printer-applet-4.7.4-2  kdeutils-superkaramba-4.7.4-2
              kdeutils-sweeper-4.7.4-2  kmod-3-6  linux-headers-3.2.1-1  lirc-utils-1:0.9.0-10  mkinitcpio-0.8.2-1  module-init-tools-3.16-3 [removal]
              totem-plparser-2.32.6-2  udev-177-1  linux-3.2.1-1

Total Installed Size:   166.57 MiB
Net Upgrade Size:       1.43 MiB

Proceed with installation? [Y/n] 
(25/25) checking package integrity                                                                   [------------------------------------------------------------] 100%
error: coreutils: signature from "Allan McRae <me@allanmcrae.com>" is unknown trust
error: kmod: signature from "Dave Reisner <d@falconindy.com>" is unknown trust
error: udev: signature from "Tom Gundersen <teg@jklm.no>" is unknown trust
error: mkinitcpio: signature from "Dave Reisner <d@falconindy.com>" is unknown trust
error: linux: signature from "Tobias Powalowski <tobias.powalowski@googlemail.com>" is unknown trust
error: cmake: signature from "Dave Reisner <d@falconindy.com>" is unknown trust
error: gvfs: signature from "Dave Reisner <d@falconindy.com>" is unknown trust
error: gvfs-obexftp: signature from "Dave Reisner <d@falconindy.com>" is unknown trust
error: inetutils: signature from "Eric Belanger <eric@archlinux.org>" is unknown trust
error: kdeutils-ark: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-filelight: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-kcalc: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-kcharselect: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-kdf: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-kfloppy: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-kgpg: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-kremotecontrol: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-ktimer: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-kwallet: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-printer-applet: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-superkaramba: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: kdeutils-sweeper: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is unknown trust
error: linux-headers: signature from "Tobias Powalowski <tobias.powalowski@googlemail.com>" is unknown trust
error: lirc-utils: signature from "Ionut Biru <ibiru@archlinux.org>" is unknown trust
error: totem-plparser: signature from "Ionut Biru <ibiru@archlinux.org>" is unknown trust
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.
[todd@minidurden etc]$ 

This is the second time I ran it, the first time I ran it it asked if I wanted to fetch the gpg keys, which I did. Now I can't get it to upgrade anything. I'm sure I'm missing something so I hope someone can set me straight.

Thanks

Last edited by Durden (2012-01-13 17:59:10)

Offline

#2 2012-01-13 17:31:47

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: [solved] Pacman problem with testing repo

Have you properly setup your pacman 4? Have you been using [testing] for some time or have you just switched?

Last edited by karol (2012-01-13 17:35:41)

Offline

#3 2012-01-13 17:33:22

Durden
Member
Registered: 2011-06-19
Posts: 189

Re: [solved] Pacman problem with testing repo

I just switched to testing repo today. I replaced my pacman.conf with the pacman.conf.pacnew file and uncommented the testing repo and added "ILoveCandy", other than that it's stock, is there something in there I may have missed?

Offline

#4 2012-01-13 17:35:32

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: [solved] Pacman problem with testing repo

Edit pacman.conf and uncomment 'SigLevel = Optional TrustAll' and run 'pacman-key --init'.
If you want to use [testing] please subscribe to the mailing list https://wiki.archlinux.org/index.php/Te … testing.5D
You should also enable community-testing repo.

Offline

#5 2012-01-13 17:36:48

fsckd
Forum Moderator
Registered: 2009-06-15
Posts: 3,538

Re: [solved] Pacman problem with testing repo

mod action: Moving from Pacman & Package Upgrade Issues to [testing] Repo Forum.


aur S & M :: forum rules :: Community Ethos
Resources for Women, POC, LGBT*, and allies

Offline

#6 2012-01-13 17:37:21

Durden
Member
Registered: 2011-06-19
Posts: 189

Re: [solved] Pacman problem with testing repo

I uncommented SigLevel = Optional TrustAll and it's now working.

Offline

#7 2012-01-13 17:50:25

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: [solved] Pacman problem with testing repo

Durden wrote:

I uncommented SigLevel = Optional TrustAll and it's now working.

Please remember to mark the thread as solved :-)

Offline

#8 2012-01-13 17:57:05

hadrons123
Member
From: chennai
Registered: 2011-10-07
Posts: 1,249

Re: [solved] Pacman problem with testing repo

Is it possible to install the 3.2 kernel and its dependencies in test repo without having to upgrade to Pacman 4?
I don't want to use the test repo and i want to use this option once becoz i just want the binary 3.2 kernel and its dependencies.

Last edited by hadrons123 (2012-01-13 17:59:18)


LENOVO Y 580 IVYBRIDGE 660M NVIDIA
Unix is user-friendly. It just isn't promiscuous about which users it's friendly with. - Steven King

Offline

#9 2012-01-13 17:58:57

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: [solved] Pacman problem with testing repo

The testing repo is all or nothing - you should enable the [testing] and [community-testing] repos and update your whole system. This means pacman 4, kmod instead of module-init-tools etc.



Edit: Some unofficial repos may have linux 3.2 kernels e.g. [heftig] has linux-zen 3.2.0-1.

Last edited by karol (2012-01-13 18:03:36)

Offline

#10 2012-01-13 19:01:40

kabbalah
Member
Registered: 2011-08-23
Posts: 131

Re: [solved] Pacman problem with testing repo

For enable the [testing] and [community-testing] repos together? I have testing only and not problem. Please explain me your viewpoint

Thank

kabbalah

Offline

#11 2012-01-13 19:25:45

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: [solved] Pacman problem with testing repo

kabbalah wrote:

For enable the [testing] and [community-testing] repos together? I have testing only and not problem. Please explain me your viewpoint

Thank

kabbalah

There are relatively few packages in [community-testing] http://www.archlinux.org/packages/?sort … =&limit=50 so maybe that's why you didn't have any problems.

Try installing and running expac from [community] with pacman from [testing]:

[karol@black ~]$ expac %n firefox
expac: error while loading shared libraries: libalpm.so.6: cannot open shared object file: No such file or directory

Offline

#12 2012-01-13 22:27:52

kabbalah
Member
Registered: 2011-08-23
Posts: 131

Re: [solved] Pacman problem with testing repo

Ok.

Objetivos (1): expac-0.07-1

Tamaño de descarga:     0,01 MiB
Tamaño instalado:       0,05 MiB

¿Continuar con la instalación? [S/n] s
:: Descargando paquetes desde community-testing...
expac-0.07-1-i686                                   9,4 KiB  59,2K/s 00:00 [##########################################] 100%
(1/1) verificando la integridad de los paquetes                             [##########################################] 100%
(1/1) cargandos los archivos del paquete...                                 [##########################################] 100%
(1/1) verificando conflictos entre archivos                                 [##########################################] 100%
(1/1) instalando expac                                                      [##########################################] 100%
[root@myhost julio]# expac %n firefox
firefox
[root@myhost julio]#

Offline

#13 2012-01-14 01:39:42

fsckd
Forum Moderator
Registered: 2009-06-15
Posts: 3,538

Re: [solved] Pacman problem with testing repo

moderator comment: Please do not hijack this thread. Start a new one for your issues.


aur S & M :: forum rules :: Community Ethos
Resources for Women, POC, LGBT*, and allies

Offline

#14 2012-01-17 09:24:01

andriesinfoserv
Member
Registered: 2012-01-17
Posts: 1

Re: [solved] Pacman problem with testing repo

i didn't have that line in pacman.conf at all so i added it. however, my pacman.conf required SigLevel = TrustAll  not the variant listed in this thread. it can be frustrating enough for people still learning the cli even with the correct commands.

Offline

#15 2012-01-17 14:14:20

karol
Archivist
Registered: 2009-05-06
Posts: 25,427

Re: [solved] Pacman problem with testing repo

You may want to open another thread if you want to get to the bottom of this issue.
What errors were you getting with 'SigLevel = Optional TrustAll'?

Offline

Board footer

Powered by FluxBB